Support » Fixing WordPress » Block Editor broken after upgrading.

  • forcestun

    (@forcestun)


    Upgraded to 5.2 and the post editor is acting very weird. Writing something and pressing backwards to delete it works well for the post title but when I start writing a paragraph, the backwards button seems to behave strangely. It won’t delete any thing that I wrote. I had to install the classic editor plugin and it works like charm with no errors.

    I did not hate the gutenberg block editor and I am pretty used to it now but this update broke it and make it really unusable for me. I also checked the console and it throws this error when using block editor

    {
    "code": "rest_post_invalid_id",
    "message": "Invalid Post ID",
    "data": {
    "status": 404
    }
    }
    

    If I switch to the classic editor, this error is gone from the console. I am not sure if this error is related to the issue though.

    Can you please help me fix this?

    Notes:
    1- I disabled all plugins and tried, still the same.
    2- I even downloaded the latest wordpress version and tried it locally on a different computer and it has the exact same issue out of the box, using default everything.
    3- My site is in RTL direction.
    4- Tried re-saving permalinks and followed all the steps in the master list 5.2 thread and it did not work (https://wordpress.org/support/topic/read-this-first-wordpress-5-2-master-list/)

    • This topic was modified 7 months ago by forcestun.
Viewing 1 replies (of 1 total)
  • Hi there @forcestun!

    I’ve tried to reproduce this issue using WordPress v5.2.1 and Events Calendar v4.9.2 without success

    Both Title, Description, Organizer and Venue are working fine for me.
    Are you getting this message for a specific block?

    In your event are you adding any another block that aren’t our default ones?

    Let’s see if we can reproduce this issue.

    Cheers,
    Deblyn

Viewing 1 replies (of 1 total)
  • The topic ‘Block Editor broken after upgrading.’ is closed to new replies.